<?php

// Votre Licence zKup
define('LIC','ZKUP-d1b1e37bfccdd3');

//Titre de votre site
define('TITLE','tournois- zKup v3');

// URL de votre zKup (doit se terminer par un / )
define('WWW_ROOT','http://127.0.0.1/zkup/');

//Base de données
define('DB_HOST','localhost');
define('DB_USER','root');
define('DB_PASS','');
define('DB_NAME','zkup');

define('DB','mysql://'.DB_USER.':'.DB_PASS.'@'.DB_HOST.'/'.DB_NAME.';charset=utf8');
define('PREFIX','zkup');

// Adresse mail d'expedition
define('MAIL_FROM','mail@votresite.com');
define('MAIL_SMTP',false);//Envoyer des mails en utilisant les parametres SMTP ci-dessous
define('MAIL_DEBUG',false);//Aucun mail envoyé mais ils sont logués en base

// Exemple pour gmail
define('SMTP_AUTH',true);
define('SMTP_HOST','smtp.gmail.com');
define('SMTP_PORT',587);// 25 en général, pour gmail 587
define('SMTP_USER','votre-mail@gmail.com');
define('SMTP_PASS','votre-mot-de-passe');

// Langue par defaut de l'application
define('LANGUE','fr_fr'); // fr_fr ou en_us

// Theme de l'application
define('THEME','theme_zkup');

// Configuration des mails
define('MAIL_NAME','Administrateur Nom du site');
define('MAIL_TITRE','[zKup] ');//Place devant tous les titres des mails (utile pour filtrer les mails venant de votre zkup)

// Configuration upload des reglements et images
define('POIDS_REGLEMENT',52428800);//En Octets
define('POIDS_IMAGE',204800);//En Octets
define('POIDS_FICHIER',5242880);//En Octets
define('IMAGE_LARGEUR',400);//En px
define('IMAGE_HAUTEUR',400);//En px
error_reporting(0);
//Options
define('TNS_EQI_TAG',true);//Dans un tournoi, afficher le tag à la place du nom de l'équipe
define('OPT_FIGER_NOM_PRE',false);//Une fois les Noms et Prénom du membre défini, il ne peut plus les modifier
define('OPT_FIGER_STATUS',false);//Une fois le status du membre défini, il ne peut plus le modifier
define('OPT_FIGER_JEU',false);//Une fois le jeu de l'équipe défini, il ne peut plus les modifier
define('OPT_FIGER_LIC',false);//Une fois la licence du joueur défini, il ne peut plus les modifier
define('OPT_LIC_UNIQUE',true);//Une licence est propre a un joueur
define('OPT_CACHER_SCORE_BLOC_MATCHS',false);//Dans le bloc des matchs, cacher les scores pour gagner en place
define('OPT_BLOC_MATCHS_LIMIT',10);//Dans le bloc des matchs, nombre max de rencontres à afficher par état (joué / à jouer)
define('OPT_LISTE_MATCHS_LIMIT',10);//Sur la page PROCHAINS MATCHS, nombre max de rencontres à afficher par état (joué / à jouer)
define('OPT_BLOC_COMP_MAX_CAR',20);//Dans le bloc des matchs, nombre max de caracteres à afficher pour le nom du tournoi
define('OPT_PROFIL_EQI_NB_COMP',10);//Dans la page profil d une equipe, nombre max de comp a afficher
define('OPT_PROFIL_EQI_NB_MAT',10);//Dans la page profil d une equipe, nombre max de matchs a afficher
define('OPT_BLOCK_ONLINE_MAX_PLAYER',20);//Limite du nombre de joueurs en ligne à afficher
define('OPT_BLOCK_ONLINE_MAX_ADMIN',10);//Limite du nombre d'admins en ligne à afficher
define('PAGINATE_NB',20);//Nombre d'elements par page
define('MESS_APERCU_LONGUEUR',150);//Longueur de l'apercu du message dans boitereception
define('OPT_ALERTE_INSCRIPTION',8);//Dans l'onglet Joueurs d'un match, afficher en rouge les nouveaux inscrits de moins de X jours
define('OPT_MONITOR', false); //Logger les temps de chargement des pages
define('__TNS_NB_EQ_TNS_MAX', 64); //Nombre maximum d'equipes pour un tournoi (4,8,16,32,64,128,256,512,1024)
define('LOG_TAILLE',1000);//Taille du log en nombre d'enregistrements
define('OPT_MUR_MESSAGE_LIMIT',10); //Limite du nombre de messages par page de mur
define('OPT_MUR_JOUEUR',true); //Activer les murs pour les joueurs
define('OPT_MUR_EQUIPE',true); //Activer les murs pour les équipes
define('OPT_MUR_COMP',true); //Activer les murs pour les compétitions
define('OPT_DELAI_SUP_MP', 60*60*24*30); // (1 mois) Délai en secondes avant suppression automatique des MP du robot, pour désactiver la suppression automatique mettre false ou supprimer la ligne
define('OPT_IP_ENCODE',true);//Encoder l'adresse IP de vos joueurs. Si non encodé, elle sera visible dans l'administration sur la modification d'un joueur
define('OPT_ICONE_AVATAR',true);// true -> utilisation des avatar comme mini-icon, false -> utilisation des drapeaux comme mini-icon

//Commentaires
define('OPT_PAG_COM',true);//Activer les commentaires pour les Pages
define('OPT_COM_PAG_PUB',true);//Publier automatiquement les commentaires sur les pages


?>